> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/layouts/layouts_editor_design_changes.md).

# Layout Design Changes

From time to time, Layouts may need design changes/updates to keep content fresh and relevant.

Xibo will continue to show the Published Layout design already in Display Schedules allowing Users to make important changes to a checked out draft version of the Layout. Only approved changes will overwrite the existing design once a User selects to Publish.

## How-to Video Design Changes

{% embed url="<https://youtu.be/iS3Ig1taDkQ>" %}

Layouts that are in a **Draft** status are simply edited by using the row menu and selecting **Design** to open the Layout Editor.

Selecting **Design** for a **Published Layout** will show that it is locked for editing.

* Click **View** to see all the components of the Layout in a read only mode.
* Click **Checkout** to create a draft of the Layout to enable editing.

Once a Layout has been "checked out", a copy of the Layout is made in a draft status. This draft Layout will not reflect any changes to the published version. Any **Display** schedules will continue to show the **Published** version of this **Layout** allowing Users to take their time with any design changes that need to be made.

{% hint style="success" %}
Layouts can also be "checked out" from the row menu ahead of a User needing to make design changes. Select the 'auto submit' checkbox to send the form automatically without the additional approval window every time Checkout is selected.
{% endhint %}

## Layout Lock

To prevent multiple Users making edits to the same Layout concurrently, the Layout will lock.

The Layout will remain locked to other Users for the time specified in the lock message. The Layout can be unlocked by the current User by using the Options menu and selecting **Unlock**. Once unlocked, the current user will be redirected back to the Layouts grid.

To revert the Layout back to it's original published state, use the **Options** menu and select **Discard Draft**.

## Publish options

To make the changes permanent and overwrite the existing Published Layout, select **Publish**.

Layouts can be published straight away using the **Publish Now** checkbox, or unticking this options provides the User to set a date and time as a **Publish Date**.

{% hint style="warning" %}
Setting a **Publish Date i**s not an alternative to creating an event in a schedule!
{% endhint %}

Once published the CMS will update a Layout change so that the approved design changes will be shown on Displays.

## Further Reading

{% content-ref url="/pages/L8ste2vjohsdskhuMbDm" %}
[Layout Editor](/layouts/layouts_editor.md)
{% endcontent-ref %}

## FAQ's

***Can I remove the automatic submission of Checkout forms?***

Forms which have been enabled to 'auto submit' can be viewed and managed from the User Profile settings

***Can I set Layouts to automatically Publish?***

There is a default setting which can be set to automatically Publish all Draft Layouts 30 minutes after the last User edit. This is found in the Settings page under the Administration section of the main CMS menu.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/layouts/layouts_editor_design_changes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
